---
updatedAt: 2026-05-27T12:53:38.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Get List of Bulk Export Download Details

Use this paginated API to retrieve the download details for a bulk export. The response will include the authorization token (expires after 1 hour), file name, and URL that you can include within the following cURL command to download the export files:

```curl
curl --header "Authorization: Bearer <TOKEN_FROM_RESPONSE>" --output "<FILENAME_FROM_RESPONSE>" -fL "URL_FROM_RESPONSE"
```

> 🗒 Things to Know
> 
> - Your export may generate multiple files to preserve download speeds. Each file name and URL will contain a unique authorization token.

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Platform - Bulk Export",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "description": "The Bulk Export APIs are used to integrate external systems and extract specific data from Cookie Consent and Universal Consent & Preference Management in the OneTrust platform."
  },
  "servers": [
    {
      "url": "https://{hostname}",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Bulk Export",
      "description": "The Bulk Export APIs are used to extract large volumes of cookie receipts, consent receipts, and data subjects.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/665f23eeab28bc0024f024c1"
      }
    }
  ],
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0"
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "paths": {
    "/api/ot-insights/v1/bulk-export-jobs/{id}/download/pages": {
      "get": {
        "operationId": "getPaginatedAttachmentDownloadCommandsGET",
        "summary": "Get List of Bulk Export Download Details",
        "description": "Use this paginated API to retrieve the download details for a bulk export. The response will include the authorization token (expires after 1 hour), file name, and URL that you can include within the following cURL command to download the export files:\n\n```curl\ncurl --header \"Authorization: Bearer <TOKEN_FROM_RESPONSE>\" --output \"<FILENAME_FROM_RESPONSE>\" -fL \"URL_FROM_RESPONSE\"\n```\n\n> 🗒 Things to Know\n> \n> - Your export may generate multiple files to preserve download speeds. Each file name and URL will contain a unique authorization token.",
        "tags": [
          "Bulk Export"
        ],
        "x-onetrust": {
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/platform-bulk-export.json"
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The unique identifier for the bulk export.",
            "required": true,
            "schema": {
              "description": "The unique identifier for the bulk export.",
              "type": "string",
              "format": "uuid"
            },
            "example": "90f2241a-16d7-45e8-b913-1cb9951bb843"
          },
          {
            "name": "continuationToken",
            "in": "query",
            "description": "The continuation token for retrieving the next set of records.",
            "required": false,
            "schema": {
              "description": "Continuation Token for fetching the next set of records.",
              "type": "string"
            },
            "example": 112233
          },
          {
            "name": "size",
            "in": "query",
            "description": "The maximum number of records to be retrieved.",
            "required": false,
            "schema": {
              "description": "Maximum number of records to be fetched.",
              "type": "integer",
              "format": "int32",
              "maximum": 500,
              "minimum": 1
            },
            "example": 20
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BulkExportDownloadPageResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "429": {
            "description": "Too Many Requests. \nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "schema": {
                  "description": "The number of seconds after which requests will be allowed again.",
                  "format": "int32"
                }
              },
              "ot-period": {
                "schema": {
                  "description": "The unit of time for which the rate limit applies",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-ratelimit-event-id": {
                "schema": {
                  "description": "The unique identifier for the rate-limiting event.",
                  "format": "uuid"
                }
              },
              "ot-request-made": {
                "schema": {
                  "description": "The number of requests made within the specified period.",
                  "format": "int32"
                }
              },
              "ot-requests-allowed": {
                "schema": {
                  "description": "The number of requests allowed within the specified period.",
                  "format": "int32"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "security": [
          {
            "OAUTH2": [
              "BULK_EXPORT"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "BulkExportDownloadResponse": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the exported file to download.",
            "type": "string",
            "format": "uuid",
            "example": "90f2241a-16d7-45e8-b913-1cb9951bb843"
          },
          "headers": {
            "description": "The HTTP headers to include in the download request. The headers object contains an 'Authorization' key with a bearer token value.",
            "example": {
              "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
            },
            "$ref": "#/components/schemas/HeadersSchema"
          },
          "url": {
            "description": "The URL of the exported file to download.",
            "type": "string",
            "format": "uri",
            "example": "https://app.onetrust.com/api/document-gateway/72e2a55b-a271-4469-aeb0-cee19d1f37d7"
          },
          "fileName": {
            "description": "The system-generated name of the exported file to download.",
            "type": "string",
            "example": "72e2a55b-a271-4469-aeb0-cee19d1f37d7.csv.gz"
          }
        }
      },
      "HeadersSchema": {
        "type": "object",
        "properties": {
          "Authorization": {
            "description": "The authorization bearer token required to access the bulk export.",
            "type": "string",
            "example": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
          }
        },
        "example": {
          "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
        }
      },
      "BulkExportDownloadPageResponse": {
        "type": "object",
        "properties": {
          "items": {
            "description": "The details of the exported file.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BulkExportDownloadResponse"
            }
          },
          "continuationToken": {
            "description": "The continuation token.",
            "type": "string",
            "example": 112233
          },
          "hasNext": {
            "description": "This flag indicates whether there are more values to be retrieved.",
            "type": "boolean",
            "example": true
          }
        }
      }
    },
    "securitySchemes": {
      "OAUTH2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "BULK_EXPORT": "Core Scope gives the user access to create/cancel/view bulk export jobs"
            }
          }
        }
      }
    }
  }
}
````

# Sibling pages

* [Get List of Bulk Exports](https://developer.onetrust.com/onetrust/reference/getexportrunsget.md)
* [Create Bulk Export](https://developer.onetrust.com/onetrust/reference/startexportrunpost.md)
* [Get Bulk Export Credit Details](https://developer.onetrust.com/onetrust/reference/getcreditsinformationget.md)
* [Get Bulk Export Status](https://developer.onetrust.com/onetrust/reference/getexportrundetailsget.md)
* [Cancel Bulk Export](https://developer.onetrust.com/onetrust/reference/cancelbulkexportdelete.md)
* [Get Bulk Export Download Details](https://developer.onetrust.com/onetrust/reference/getattachmentdownloadcommandsget.md)